Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ConsumerBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ConsumerBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ConsumerBeanType<T>

    public class ConsumerBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ConsumerBeanType<T>

This class implements the `consumer-beanType` xsd type

Original Documentation:

The consumer element holds all of the information specific about a
consumer bean which is a JBoss proprietary extension to EJB3 for sending JMS messages via
standard Java interfaces. Used in: enterprise-beans

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ConsumerBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ConsumerBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ActivationConfigType<ConsumerBeanType<T>>` | `activationConfig()` If not already created, a new `activation-config` element will be created and returned.
`AnnotationType<ConsumerBeanType<T>>` | `annotation()` Returns the `annotation` element
`MethodAttributesType<ConsumerBeanType<T>>` | `currentMessage()` If not already created, a new `current-message` element will be created and returned.
`EjbLocalRefType<ConsumerBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ConsumerBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`java.util.List<AnnotationType<ConsumerBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<ConsumerBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<ConsumerBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<IconType<ConsumerBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JndiRefType<ConsumerBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.util.List<ProducerType<ConsumerBeanType<T>>>` | `getLocalProducerList()` Returns all `local-producer` elements
`java.lang.String` | `getMessageDestination()` Returns the `message-destination` element
`java.util.List<MessageDestinationRefType<ConsumerBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
`java.util.List<MessagePropertiesType<ConsumerBeanType<T>>>` | `getMessagePropertiesList()` Returns all `message-properties` elements
`java.util.List<ProducerType<ConsumerBeanType<T>>>` | `getProducerList()` Returns all `producer` elements
`java.util.List<ResourceEnvRefType<ConsumerBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ConsumerBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`IconType<ConsumerBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<ConsumerBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`JndiRefType<ConsumerBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`ProducerType<ConsumerBeanType<T>>` | `localProducer()` Returns the `local-producer` element
`MessageDestinationRefType<ConsumerBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MessagePropertiesType<ConsumerBeanType<T>>` | `messageProperties()` Returns the `message-properties` element
`MethodAttributesType<ConsumerBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PoolConfigType<ConsumerBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`ProducerType<ConsumerBeanType<T>>` | `producer()` Returns the `producer` element
`ConsumerBeanType<T>` | `removeActivationConfig()` Removes the `activation-config` element
`ConsumerBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`ConsumerBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`ConsumerBeanType<T>` | `removeAllDescription()` Removes the `description` element
`ConsumerBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ConsumerBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ConsumerBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ConsumerBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`ConsumerBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`ConsumerBeanType<T>` | `removeAllLocalProducer()` Removes all `local-producer` elements
`ConsumerBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ConsumerBeanType<T>` | `removeAllMessageProperties()` Removes all `message-properties` elements
`ConsumerBeanType<T>` | `removeAllProducer()` Removes all `producer` elements
`ConsumerBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ConsumerBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ConsumerBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`ConsumerBeanType<T>` | `removeCurrentMessage()` Removes the `current-message` element
`ConsumerBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`ConsumerBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`ConsumerBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`ConsumerBeanType<T>` | `removeMessageDestination()` Removes the `message-destination` element
`ConsumerBeanType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
`ConsumerBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`ConsumerBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`ConsumerBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`ConsumerBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<ConsumerBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ConsumerBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<ConsumerBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ConsumerBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`ConsumerBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`ConsumerBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`ConsumerBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ConsumerBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ConsumerBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ConsumerBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ConsumerBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`ConsumerBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`ConsumerBeanType<T>` | `setMessageDestination(java.lang.String messageDestination)` If not already created, a new `message-destination` element with the given value will be created.
`ConsumerBeanType<T>` | `setMessageDestinationType(java.lang.String messageDestinationType)` If not already created, a new `message-destination-type` element with the given value will be created.
`ConsumerBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerBeanTypeImpl

    public ConsumerBeanTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### ConsumerBeanTypeImpl

    public ConsumerBeanTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ConsumerBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### setDescriptionList

    public ConsumerBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ConsumerBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDescription

    public ConsumerBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ConsumerBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### setDisplayNameList

    public ConsumerBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ConsumerBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDisplayName

    public ConsumerBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ConsumerBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### icon

    public IconType<ConsumerBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ConsumerBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `icon`

### setEjbName

    public ConsumerBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeEjbName

    public ConsumerBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setEjbClass

    public ConsumerBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Specified by:
    `setEjbClass` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeEjbClass

    public ConsumerBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Specified by:
    `removeEjbClass` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getEjbClass

    public java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Specified by:
    `getEjbClass` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `ejb-class`

### setMessageDestination

    public ConsumerBeanType<T> setMessageDestination(java.lang.String messageDestination)

  If not already created, a new `message-destination` element with the given value will be created. Otherwise, the existing `message-destination` element will be updated with the given value.

  Specified by:
    `setMessageDestination` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeMessageDestination

    public ConsumerBeanType<T> removeMessageDestination()

  Removes the `message-destination` element

  Specified by:
    `removeMessageDestination` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getMessageDestination

    public java.lang.String getMessageDestination()

  Returns the `message-destination` element

  Specified by:
    `getMessageDestination` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `message-destination`

### setMessageDestinationType

    public ConsumerBeanType<T> setMessageDestinationType(java.lang.String messageDestinationType)

  If not already created, a new `message-destination-type` element with the given value will be created. Otherwise, the existing `message-destination-type` element will be updated with the given value.

  Specified by:
    `setMessageDestinationType` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeMessageDestinationType

    public ConsumerBeanType<T> removeMessageDestinationType()

  Removes the `message-destination-type` element

  Specified by:
    `removeMessageDestinationType` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getMessageDestinationType

    public java.lang.String getMessageDestinationType()

  Returns the `message-destination-type` element

  Specified by:
    `getMessageDestinationType` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `message-destination-type`

### removeAllProducer

    public ConsumerBeanType<T> removeAllProducer()

  Removes all `producer` elements

  Specified by:
    `removeAllProducer` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### producer

    public ProducerType<ConsumerBeanType<T>> producer()

  Returns the `producer` element

  Specified by:
    `producer` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `producer`

### getProducerList

    public java.util.List<ProducerType<ConsumerBeanType<T>>> getProducerList()

  Returns all `producer` elements

  Specified by:
    `getProducerList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `producer`

### removeAllLocalProducer

    public ConsumerBeanType<T> removeAllLocalProducer()

  Removes all `local-producer` elements

  Specified by:
    `removeAllLocalProducer` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### localProducer

    public ProducerType<ConsumerBeanType<T>> localProducer()

  Returns the `local-producer` element

  Specified by:
    `localProducer` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `local-producer`

### getLocalProducerList

    public java.util.List<ProducerType<ConsumerBeanType<T>>> getLocalProducerList()

  Returns all `local-producer` elements

  Specified by:
    `getLocalProducerList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `local-producer`

### removeCurrentMessage

    public ConsumerBeanType<T> removeCurrentMessage()

  Removes the `current-message` element

  Specified by:
    `removeCurrentMessage` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### currentMessage

    public MethodAttributesType<ConsumerBeanType<T>> currentMessage()

  If not already created, a new `current-message` element will be created and returned. Otherwise, the existing `current-message` element will be returned.

  Specified by:
    `currentMessage` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `current-message`

### removeAllMessageProperties

    public ConsumerBeanType<T> removeAllMessageProperties()

  Removes all `message-properties` elements

  Specified by:
    `removeAllMessageProperties` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### messageProperties

    public MessagePropertiesType<ConsumerBeanType<T>> messageProperties()

  Returns the `message-properties` element

  Specified by:
    `messageProperties` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `message-properties`

### getMessagePropertiesList

    public java.util.List<MessagePropertiesType<ConsumerBeanType<T>>> getMessagePropertiesList()

  Returns all `message-properties` elements

  Specified by:
    `getMessagePropertiesList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `message-properties`

### removeAllEjbRef

    public ConsumerBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### ejbRef

    public EjbRefType<ConsumerBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<ConsumerBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public ConsumerBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### ejbLocalRef

    public EjbLocalRefType<ConsumerBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<ConsumerBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeSecurityIdentity

    public ConsumerBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### securityIdentity

    public SecurityIdentityType<ConsumerBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

### removeAllResourceRef

    public ConsumerBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### resourceRef

    public ResourceRefType<ConsumerBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<ConsumerBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public ConsumerBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### resourceEnvRef

    public ResourceEnvRefType<ConsumerBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<ConsumerBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public ConsumerBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### messageDestinationRef

    public MessageDestinationRefType<ConsumerBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<ConsumerBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `message-destination-ref`

### setSecurityDomain

    public ConsumerBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeSecurityDomain

    public ConsumerBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    public ConsumerBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Specified by:
    `removeMethodAttributes` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### methodAttributes

    public MethodAttributesType<ConsumerBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Specified by:
    `methodAttributes` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `method-attributes`

### setDepends

    public ConsumerBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Specified by:
    `setDepends` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### setDependsList

    public ConsumerBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Specified by:
    `setDependsList` in interface `ConsumerBeanType<T>`
  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDepends

    public ConsumerBeanType<T> removeAllDepends()

  Removes the `depends` element

  Specified by:
    `removeAllDepends` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getDependsList

    public java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Specified by:
    `getDependsList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `depends`

### removeAllAnnotation

    public ConsumerBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Specified by:
    `removeAllAnnotation` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### annotation

    public AnnotationType<ConsumerBeanType<T>> annotation()

  Returns the `annotation` element

  Specified by:
    `annotation` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    public java.util.List<AnnotationType<ConsumerBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Specified by:
    `getAnnotationList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `annotation`

### removeIgnoreDependency

    public ConsumerBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Specified by:
    `removeIgnoreDependency` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### ignoreDependency

    public IgnoreDependencyType<ConsumerBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Specified by:
    `ignoreDependency` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    public ConsumerBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Specified by:
    `setAopDomainName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### removeAopDomainName

    public ConsumerBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Specified by:
    `removeAopDomainName` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### getAopDomainName

    public java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Specified by:
    `getAopDomainName` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    public ConsumerBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Specified by:
    `removePoolConfig` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### poolConfig

    public PoolConfigType<ConsumerBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Specified by:
    `poolConfig` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    public ConsumerBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Specified by:
    `removeAllJndiRef` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### jndiRef

    public JndiRefType<ConsumerBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Specified by:
    `jndiRef` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    public java.util.List<JndiRefType<ConsumerBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Specified by:
    `getJndiRefList` in interface `ConsumerBeanType<T>`
  Returns:
    list of `jndi-ref`

### removeActivationConfig

    public ConsumerBeanType<T> removeActivationConfig()

  Removes the `activation-config` element

  Specified by:
    `removeActivationConfig` in interface `ConsumerBeanType<T>`
  Returns:
    the current instance of `ConsumerBeanType`

### activationConfig

    public ActivationConfigType<ConsumerBeanType<T>> activationConfig()

  If not already created, a new `activation-config` element will be created and returned. Otherwise, the existing `activation-config` element will be returned.

  Specified by:
    `activationConfig` in interface `ConsumerBeanType<T>`
  Returns:
    the node defined for the element `activation-config`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD